Skip to main content
GET
/
environment
/
{environmentId}
/
helm
List helms
curl --request GET \
  --url https://api.qovery.com/environment/{environmentId}/helm \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "environment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "name": "<string>",
      "auto_preview": true,
      "auto_deploy": true,
      "source": {
        "git": {
          "git_repository": {
            "provider": "BITBUCKET",
            "owner": "John Doe",
            "url": "<string>",
            "name": "simple-node-app",
            "has_access": true,
            "branch": "<string>",
            "root_path": "<string>",
            "deployed_commit_id": "<string>",
            "deployed_commit_date": "2023-11-07T05:31:56Z",
            "deployed_commit_contributor": "<string>",
            "deployed_commit_tag": "v1.0.1",
            "git_token_id": "<string>",
            "git_token_name": "<string>"
          }
        }
      },
      "arguments": [
        "<string>"
      ],
      "allow_cluster_wide_resources": false,
      "values_override": {
        "set": [
          [
            "<string>"
          ]
        ],
        "set_string": [
          [
            "<string>"
          ]
        ],
        "set_json": [
          [
            "<string>"
          ]
        ],
        "file": {
          "raw": {
            "values": [
              {
                "name": "<string>",
                "content": "<string>"
              }
            ]
          },
          "git": {
            "git_repository": {
              "provider": "BITBUCKET",
              "owner": "John Doe",
              "url": "<string>",
              "name": "simple-node-app",
              "has_access": true,
              "branch": "<string>",
              "root_path": "<string>",
              "deployed_commit_id": "<string>",
              "deployed_commit_date": "2023-11-07T05:31:56Z",
              "deployed_commit_contributor": "<string>",
              "deployed_commit_tag": "v1.0.1",
              "git_token_id": "<string>",
              "git_token_name": "<string>"
            },
            "paths": [
              "<string>"
            ]
          }
        }
      },
      "icon_uri": "<string>",
      "service_type": "APPLICATION",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "timeout_sec": 600,
      "ports": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "port_type": "<string>",
          "internal_port": 8080,
          "protocol": "HTTP",
          "service_name": "<string>",
          "name": "<string>",
          "external_port": 8080,
          "namespace": "<string>",
          "is_default": true
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Response

List helms

results
object[]